## mycompiler.mytype
Class BooleanType

    java.lang.Object
      mycompiler.mytype.Type
          mycompiler.mytype.BaseType
              mycompiler.mytype.BooleanType

    public class BooleanType

extends BaseType

Field Summary

Fields inherited from class mycompiler.mytype.Type
`hamaDebug, name, used`

Constructor Summary
`BooleanType()`

Method Summary
`BooleanType` `clone()` Author: J�rg B�uerle
`boolean` `equals(java.lang.Object obj)` Author: J�rg B�uerle

Methods inherited from class mycompiler.mytype.Type
`get_codegen_Type, get_Name, get_UsedId, getName, set_UsedId, toString, Type2Key, Type2String`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BooleanType

    public BooleanType()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Author: J�rg B�uerle

  Overrides:
    `equals` in class `BaseType`
  Parameters:
    `Object` -
  Returns:

### clone

    public BooleanType clone()

  Author: J�rg B�uerle

  Specified by:
    `clone` in class `BaseType`
  Returns: